import * as DialogPrimitive from '@radix-ui/react-dialog';
import { styled } from "../../../theme";
import { Icon } from "../../../icons";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledOverlay = styled(DialogPrimitive.Overlay, {
  backgroundColor: '$white',
  opacity: '0.67',
  position: 'fixed',
  inset: 0,
  zIndex: '$200'
});
var StyledContent = styled(DialogPrimitive.Content, {
  display: 'grid',
  placeItems: 'center',
  position: 'fixed',
  inset: 0,
  zIndex: '$300'
});
export var FullScreenLoader = function FullScreenLoader(_ref) {
  var open = _ref.open;
  return /*#__PURE__*/_jsx(DialogPrimitive.Root, {
    open: open,
    children: /*#__PURE__*/_jsxs(DialogPrimitive.Portal, {
      children: [/*#__PURE__*/_jsx(StyledOverlay, {
        "data-testid": "overlay-dialog"
      }), /*#__PURE__*/_jsx(StyledContent, {
        "data-testid": "fullscreen-loader",
        children: /*#__PURE__*/_jsx(Icon, {
          "aria-label": "Aguarde, carregando...",
          label: "loading",
          size: 700,
          fill: "green60",
          animate: "rotate"
        })
      })]
    })
  });
};