var _excluded = ["children"],
  _excluded2 = ["children"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { StyledMedia } from "./StyledMedia";
import { useMediaContext } from "../MediaContext/MediaContext";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 *  supressHydrationWarning is not a problem here because we are
 * hiding the components that are not used in the current media
 * query on the client-side. Other libs like @artsy/fresnel also use it
 */

export var MediaMatch = function MediaMatch(_ref) {
  var children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useMediaContext = useMediaContext(),
    match = _useMediaContext.match,
    query = _useMediaContext.query,
    isFirstRender = _useMediaContext.isFirstRender;
  var showMatchComponent = isFirstRender || match;
  if (!showMatchComponent) {
    return null;
  }
  return /*#__PURE__*/_jsx(StyledMedia, _extends({
    match: query
  }, props, {
    children: children
  }));
};
export var MediaMismatch = function MediaMismatch(_ref2) {
  var children = _ref2.children,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  var _useMediaContext2 = useMediaContext(),
    match = _useMediaContext2.match,
    query = _useMediaContext2.query,
    isFirstRender = _useMediaContext2.isFirstRender;
  var showMismatchComponent = isFirstRender || !match;
  if (!showMismatchComponent) {
    return null;
  }
  return /*#__PURE__*/_jsx(StyledMedia, _extends({
    mismatch: query
  }, props, {
    children: children
  }));
};