import { styled } from "../../../../theme";
export var StyledMedia = styled('div', {
  display: 'none',
  variants: {
    match: {
      mobile: {
        '@media (max-width: 32.4375em)': {
          display: 'contents'
        }
      },
      touch: {
        '@media (max-width: 64em)': {
          display: 'contents'
        }
      },
      desktop: {
        '@media (min-width: 64.0625em)': {
          display: 'contents'
        }
      }
    },
    mismatch: {
      mobile: {
        '@media not all and (max-width: 32.4375em)': {
          display: 'contents'
        }
      },
      touch: {
        '@media not all and (max-width: 64em)': {
          display: 'contents'
        }
      },
      desktop: {
        '@media not all and (min-width: 64.0625em)': {
          display: 'contents'
        }
      }
    }
  }
});