var _excluded = ["icon", "children"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { Icon } from "../../../icons";
import { styled } from "../../../theme";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledTag = styled('p', {
  color: '$gray50',
  fontFamily: '$main',
  fontSize: '$200',
  display: 'inline-flex',
  borderRadius: '$pill',
  alignItems: 'center',
  textAlign: 'center',
  '@desktop': {
    fontSize: '$400',
    padding: '$300 $1000',
    gap: '$300'
  },
  defaultVariants: {
    color: 'info',
    size: 'medium'
  },
  variants: {
    size: {
      small: {
        padding: '$100 $400',
        fontSize: '$200',
        gap: '$200'
      },
      medium: {
        padding: '$200 $800',
        fontSize: '$200',
        gap: '$200'
      },
      large: {
        padding: '$300 $1000',
        fontSize: '$400',
        gap: '$300'
      }
    },
    color: {
      positive: {
        background: '$green10'
      },
      warning: {
        background: '$yellow10'
      },
      info: {
        background: '$gray20'
      },
      danger: {
        background: '$red10'
      }
    }
  }
});
export var Tag = function Tag(_ref) {
  var icon = _ref.icon,
    children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsxs(StyledTag, _extends({}, props, {
    children: [icon && /*#__PURE__*/_jsx(Icon, {
      label: icon,
      fill: "currentColor",
      "aria-hidden": true,
      size: "inherit",
      css: {
        flexShrink: 0
      }
    }), children]
  }));
};