import { ReactNode } from 'react';
import { ToastComponentProps } from './Toast';
type ToastProviderProps = {
    children: ReactNode;
};
type ToastProps = Omit<ToastComponentProps, 'children'> & {
    id: string;
    description?: ReactNode;
};
export declare const toast: (toast: ToastProps) => void;
export declare const ToastProvider: ({ children }: ToastProviderProps) => import("react/jsx-runtime").JSX.Element;
export {};
