function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/**
 * Omits a single property from the given object.
 *
 * @param {T} obj - The original object.
 * @param {K} keyToOmit - The key of the property to omit.
 * @returns {Omit<T, K>} - A new object without the omitted key.
 *
 * @template T - The type of the object.
 * @template K - The key of the property to omit.
 */
export function omit(obj, keyToOmit) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  var omitted = obj[keyToOmit],
    rest = _objectWithoutPropertiesLoose(obj, [keyToOmit].map(_toPropertyKey));
  return rest;
}