"use strict";

exports.__esModule = true;
exports.FullScreenLoader = void 0;
var DialogPrimitive = _interopRequireWildcard(require("@radix-ui/react-dialog"));
var _theme = require("../../../theme");
var _icons = require("../../../icons");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var StyledOverlay = (0, _theme.styled)(DialogPrimitive.Overlay, {
  backgroundColor: '$white',
  opacity: '0.67',
  position: 'fixed',
  inset: 0,
  zIndex: '$200'
});
var StyledContent = (0, _theme.styled)(DialogPrimitive.Content, {
  display: 'grid',
  placeItems: 'center',
  position: 'fixed',
  inset: 0,
  zIndex: '$300'
});
var FullScreenLoader = exports.FullScreenLoader = function FullScreenLoader(_ref) {
  var open = _ref.open;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(DialogPrimitive.Root, {
    open: open,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(DialogPrimitive.Portal, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(StyledOverlay, {
        "data-testid": "overlay-dialog"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledContent, {
        "data-testid": "fullscreen-loader",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.Icon, {
          "aria-label": "Aguarde, carregando...",
          label: "loading",
          size: 700,
          fill: "green60",
          animate: "rotate"
        })
      })]
    })
  });
};