"use strict";

exports.__esModule = true;
exports.StyledMedia = void 0;
var _theme = require("../../../../theme");
var StyledMedia = exports.StyledMedia = (0, _theme.styled)('div', {
  display: 'none',
  variants: {
    match: {
      mobile: {
        '@media (max-width: 32.4375em)': {
          display: 'contents'
        }
      },
      touch: {
        '@media (max-width: 64em)': {
          display: 'contents'
        }
      },
      desktop: {
        '@media (min-width: 64.0625em)': {
          display: 'contents'
        }
      }
    },
    mismatch: {
      mobile: {
        '@media not all and (max-width: 32.4375em)': {
          display: 'contents'
        }
      },
      touch: {
        '@media not all and (max-width: 64em)': {
          display: 'contents'
        }
      },
      desktop: {
        '@media not all and (min-width: 64.0625em)': {
          display: 'contents'
        }
      }
    }
  }
});