"use strict";

exports.__esModule = true;
exports.useMedia = void 0;
var _react = require("react");
var useMedia = exports.useMedia = function useMedia(query) {
  var _useState = (0, _react.useState)(true),
    state = _useState[0],
    setState = _useState[1];
  (0, _react.useEffect)(function () {
    var mql = window.matchMedia(query);
    var onChange = function onChange() {
      setState(!!mql.matches);
    };
    mql.addEventListener('change', onChange);
    setState(mql.matches);
    return function () {
      mql.removeEventListener('change', onChange);
    };
  }, [query]);
  return state;
};