import { StyledMedia } from './StyledMedia';
import { ComponentProps } from 'react';
type MediaProps = Omit<ComponentProps<typeof StyledMedia>, 'match' | 'mismatch'>;
/**
 *  supressHydrationWarning is not a problem here because we are
 * hiding the components that are not used in the current media
 * query on the client-side. Other libs like @artsy/fresnel also use it
 */
export declare const MediaMatch: ({ children, ...props }: MediaProps) => import("react/jsx-runtime").JSX.Element | null;
export declare const MediaMismatch: ({ children, ...props }: MediaProps) => import("react/jsx-runtime").JSX.Element | null;
export {};
