import { ReactNode } from 'react';
export declare const mediaQueries: {
    mobile: string;
    touch: string;
    desktop: string;
};
export declare const useMediaContext: () => {
    match: boolean;
    query: keyof typeof mediaQueries;
    isFirstRender: boolean;
};
type MediaContextProviderProps = {
    query: keyof typeof mediaQueries;
    children: ReactNode;
};
export declare const MediaContextProvider: ({ query, children, }: MediaContextProviderProps) => import("react/jsx-runtime").JSX.Element;
export {};
