import { useEffect, useState } from 'react';
export var useMedia = function useMedia(query) {
  var _useState = useState(true),
    state = _useState[0],
    setState = _useState[1];
  useEffect(function () {
    var mql = window.matchMedia(query);
    var onChange = function onChange() {
      setState(!!mql.matches);
    };
    mql.addEventListener('change', onChange);
    setState(mql.matches);
    return function () {
      mql.removeEventListener('change', onChange);
    };
  }, [query]);
  return state;
};