var _excluded = ["buttonProps"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { useState } from 'react';
import { GhostIconButton } from "../GhostIconButton";
import { TextInput } from "./TextInput";
import { jsx as _jsx } from "react/jsx-runtime";
export var PasswordInput = function PasswordInput(_ref) {
  var buttonProps = _ref.buttonProps,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(false),
    showPassword = _useState[0],
    setShowPassword = _useState[1];
  function onButtonClick(event) {
    setShowPassword(!showPassword);
    buttonProps == null || buttonProps.onClick == null || buttonProps.onClick(event);
  }
  return /*#__PURE__*/_jsx(TextInput, _extends({
    endAdornment: /*#__PURE__*/_jsx(GhostIconButton, _extends({
      type: "button",
      className: "toggle-password",
      size: "600",
      fill: "gray50"
    }, buttonProps, {
      onClick: onButtonClick,
      icon: showPassword ? 'eye-off' : 'eye',
      label: showPassword ? 'Ocultar senha' : 'Exibir senha'
    }))
  }, props, {
    type: showPassword ? 'text' : 'password'
  }));
};