var _excluded = ["id", "onOpenChange", "description"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { ToastDescription } from '@radix-ui/react-toast';
import { atom, useAtom } from "../../contexts";
import { Toast, ToastList } from "./Toast";
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
var globalToastList = atom([]);
export var toast = function toast(_toast) {
  globalToastList.setState(function (prevToastList) {
    return prevToastList.concat(_toast);
  });
};
export var ToastProvider = function ToastProvider(_ref) {
  var children = _ref.children;
  var _useAtom = useAtom(globalToastList),
    toastList = _useAtom[0],
    setToastList = _useAtom[1];
  var hideToast = function hideToast(toast) {
    setToastList(function (prevToastList) {
      return prevToastList.filter(function (ref) {
        return ref !== toast;
      });
    });
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [!!toastList.length && /*#__PURE__*/_jsx(ToastList, {
      children: toastList.map(function (toast, key) {
        var id = toast.id,
          _onOpenChange = toast.onOpenChange,
          description = toast.description,
          props = _objectWithoutPropertiesLoose(toast, _excluded);
        return /*#__PURE__*/_jsx(Toast, _extends({}, props, {
          onOpenChange: function onOpenChange(open) {
            hideToast(toast);
            _onOpenChange == null || _onOpenChange(open);
          },
          children: description && /*#__PURE__*/_jsx(ToastDescription, {
            children: description
          })
        }), id + "-" + key);
      })
    }), children]
  });
};