import { ComponentProps } from 'react';
import * as TooltipPrimitive from '@radix-ui/react-tooltip';
export type TooltipProps = ComponentProps<typeof TooltipPrimitive.Root> & ComponentProps<typeof TooltipPrimitive.Content> & {
    children: React.ReactElement;
    content: React.ReactNode;
};
export declare const TooltipProvider: import("react").FC<TooltipPrimitive.TooltipProviderProps>;
export declare function Tooltip({ children, content, open, defaultOpen, onOpenChange, side, ...props }: TooltipProps): import("react/jsx-runtime").JSX.Element;
