var _excluded = ["userEventSetup", "tooltipProvider"];
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { render } from '@testing-library/react';
import userEvent from '@testing-library/user-event';
import { TooltipProvider } from '..';
import { jsx as _jsx } from "react/jsx-runtime";
var Wrapper = function Wrapper(_ref) {
  var children = _ref.children,
    tooltipProvider = _ref.tooltipProvider;
  return /*#__PURE__*/_jsx(TooltipProvider, _extends({}, tooltipProvider, {
    children: children
  }));
};
var customRender = function customRender(ui, _temp) {
  var _ref2 = _temp === void 0 ? {} : _temp,
    userEventSetup = _ref2.userEventSetup,
    tooltipProvider = _ref2.tooltipProvider,
    options = _objectWithoutPropertiesLoose(_ref2, _excluded);
  return _extends({
    user: userEvent.setup(userEventSetup)
  }, render(ui, _extends({
    wrapper: function wrapper(props) {
      return /*#__PURE__*/_jsx(Wrapper, _extends({
        tooltipProvider: tooltipProvider
      }, props));
    }
  }, options)));
};
export * from '@testing-library/react';
/**
 * Defines a custom render method that includes things like global context providers
 *
 * @see https://testing-library.com/docs/react-testing-library/setup/#custom-render
 */
export { customRender as render };